---
# playbook for gluster file servers


- hosts: gfs
  gather_facts: no
  become: true

  vars:
    cluster:
      - cubox-i
      - home
    mountpoints:
      - /data/glusterfs/vmshares/brick1
      - /data/glusterfs/gitea/brick1
      - /data/glusterfs/jenkins/brick1
      - /data/glusterfs/jenkins2/brick1
      - /data/glusterfs/tmp/brick1
      - /data/glusterfs/prometheus/brick1
      - /data/glusterfs/nextcloud/brick1
      - /data/glusterfs/mariadb/brick1
      - /data/glusterfs/postgresql/brick1
    volumes:
      gitea:
        - /data/glusterfs/gitea/brick1/brick
      jenkins2:
        - /data/glusterfs/jenkins2/brick1/brick
      vmshares:
        - /data/glusterfs/vmshares/brick1/brick
      mariadb:
        - /data/glusterfs/mariadb/brick1/brick
      plex:
        - /data/glusterfs/plex/brick1/brick
      nextcloud:
        - /data/glusterfs/nextcloud/brick1/brick
      nextcloud2:
        - /data/glusterfs/nextcloud2/brick1/brick
    distributed_volumes:
      tmp:
        - /data/glusterfs/tmp/brick1/brick
      prometheus:
        - /data/glusterfs/prometheus/brick1
#      elasticsearch:
#        - /data/glusterfs/elasticsearch/brick1/brick

    removed_volumes:
      postgresql:
        - /data/glusterfs/postgresql/brick1/brick
#      jenkins:
#        - /data/glusterfs/jenkins/brick1/brick
#      tmp:
#        - /data/glusterfs/tmp/brick1/brick

  roles:
    - glusterfs
#    - td-agent-bit

  post_tasks:
    - name: check service is up
      service: name=glusterfs-server state=started
